<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="Spring-MVC-Login:war exploded" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="bb9dddc2-76de-4fae-aaaf-cc1d281d834d" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/WebContent/WEB-INF/view/list-student.jsp" beforeDir="false" afterPath="$PROJECT_DIR$/WebContent/WEB-INF/view/list-student.jsp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/halil/controller/StudentController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/halil/controller/StudentController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAO.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAO.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAOImp.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAOImp.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/halil/springdemo/service/StudentService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/halil/springdemo/service/StudentService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/halil/springdemo/service/StudentServiceImp.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/halil/springdemo/service/StudentServiceImp.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/com/halil/controller/StudentController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="537">
              <caret line="65" column="46" selection-start-line="65" selection-start-column="46" selection-end-line="65" selection-end-column="46" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/com/halil/springdemo/service/StudentService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="210">
              <caret line="16" lean-forward="true" selection-start-line="16" selection-end-line="16" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAOImp.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="238">
              <caret line="48" column="58" lean-forward="true" selection-start-line="48" selection-start-column="58" selection-end-line="48" selection-end-column="58" />
              <folding>
                <element signature="e#0#12#0" expanded="true" />
                <element signature="e#0#39#1" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/com/halil/springdemo/service/StudentServiceImp.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="295">
              <caret line="44" lean-forward="true" selection-start-line="44" selection-end-line="44" />
              <folding>
                <element signature="e#910#911#0" expanded="true" />
                <element signature="e#958#959#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/WebContent/WEB-INF/view/list-student.jsp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="397">
              <caret line="41" lean-forward="true" selection-start-line="41" selection-end-line="41" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/WebContent/WEB-INF/view/student-form.jsp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="167">
              <caret line="20" column="49" lean-forward="true" selection-start-line="20" selection-end-line="21" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAO.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="60">
              <caret line="6" column="17" selection-start-line="6" selection-start-column="17" selection-end-line="6" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>ser</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/WebContent/WEB-INF/web.xml" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/WebContent/WEB-INF/view/student-form.jsp" />
        <option value="$PROJECT_DIR$/WebContent/WEB-INF/view/list-student.jsp" />
        <option value="$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAO.java" />
        <option value="$PROJECT_DIR$/src/com/halil/controller/StudentController.java" />
        <option value="$PROJECT_DIR$/src/com/halil/springdemo/service/StudentService.java" />
        <option value="$PROJECT_DIR$/src/com/halil/springdemo/service/StudentServiceImp.java" />
        <option value="$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAOImp.java" />
      </list>
    </option>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="ProjectFrameBounds">
    <option name="y" value="23" />
    <option name="width" value="1280" />
    <option name="height" value="736" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="halil" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="halil" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="halil" type="462c0819:PsiDirectoryNode" />
              <item name="springdemo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="halil" type="462c0819:PsiDirectoryNode" />
              <item name="springdemo" type="462c0819:PsiDirectoryNode" />
              <item name="dao" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="halil" type="462c0819:PsiDirectoryNode" />
              <item name="springdemo" type="462c0819:PsiDirectoryNode" />
              <item name="entity" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="halil" type="462c0819:PsiDirectoryNode" />
              <item name="springdemo" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="WebContent" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="WebContent" type="462c0819:PsiDirectoryNode" />
              <item name="WEB-INF" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Spring-MVC-Login" type="b2602c69:ProjectViewProjectNode" />
              <item name="Spring-MVC-Login" type="462c0819:PsiDirectoryNode" />
              <item name="WebContent" type="462c0819:PsiDirectoryNode" />
              <item name="WEB-INF" type="462c0819:PsiDirectoryNode" />
              <item name="view" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="Tomcat 9.0.21" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 9.0.21" ALTERNATIVE_JRE_ENABLED="false" nameIsGenerated="true">
      <option name="OPEN_IN_BROWSER_URL" value="http://localhost:8080/Spring_MVC_Login_war_exploded/" />
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="Spring-MVC-Login:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/Spring_MVC_Login_war_exploded" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_Spring-MVC-Login_3" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="50613" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="Spring-MVC-Login:war exploded" />
        </option>
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="bb9dddc2-76de-4fae-aaaf-cc1d281d834d" name="Default Changelist" comment="" />
      <created>1564040553017</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1564040553017</updated>
      <workItem from="1564040554578" duration="74000" />
      <workItem from="1564040637273" duration="8973000" />
      <workItem from="1564062013522" duration="2374000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="11421000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1280" height="736" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.2536349" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" visible="true" weight="0.32919255" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Application Servers" order="7" weight="0.32919255" />
      <window_info anchor="bottom" id="Spring" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32919255" />
      <window_info anchor="bottom" id="Docker" order="10" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="12" weight="0.32919255" />
      <window_info anchor="bottom" id="Java Enterprise" order="13" />
      <window_info anchor="bottom" id="Database Changes" order="14" />
      <window_info anchor="bottom" id="Version Control" order="15" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
    </layout>
    <layout-to-restore>
      <window_info content_ui="combo" id="Project" order="0" weight="0.2536349" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.32919255" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Application Servers" order="7" weight="0.32919255" />
      <window_info anchor="bottom" id="Spring" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32919255" />
      <window_info anchor="bottom" id="Docker" order="10" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="12" weight="0.32919255" />
      <window_info anchor="bottom" id="Java Enterprise" order="13" />
      <window_info anchor="bottom" id="Database Changes" order="14" />
      <window_info anchor="bottom" id="Version Control" order="15" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/WebContent/WEB-INF/web.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" selection-start-line="18" selection-end-line="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/WebContent/WEB-INF/spring-mvc-crud-demo-servlet.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="547">
          <caret line="70" selection-start-line="70" selection-end-line="70" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="376">
          <caret line="51" column="36" selection-start-line="51" selection-start-column="36" selection-end-line="51" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/WebContent/WEB-INF/view/student-form.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="167">
          <caret line="20" column="49" lean-forward="true" selection-start-line="20" selection-end-line="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/WebContent/WEB-INF/view/list-student.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="397">
          <caret line="41" lean-forward="true" selection-start-line="41" selection-end-line="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="6" column="17" selection-start-line="6" selection-start-column="17" selection-end-line="6" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/halil/controller/StudentController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="537">
          <caret line="65" column="46" selection-start-line="65" selection-start-column="46" selection-end-line="65" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/halil/springdemo/service/StudentService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="16" lean-forward="true" selection-start-line="16" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/halil/springdemo/service/StudentServiceImp.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="295">
          <caret line="44" lean-forward="true" selection-start-line="44" selection-end-line="44" />
          <folding>
            <element signature="e#910#911#0" expanded="true" />
            <element signature="e#958#959#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/halil/springdemo/dao/StudentDAOImp.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="48" column="58" lean-forward="true" selection-start-line="48" selection-start-column="58" selection-end-line="48" selection-end-column="58" />
          <folding>
            <element signature="e#0#12#0" expanded="true" />
            <element signature="e#0#39#1" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>